/*
 * @Author: zhuangzhou zhuangzhou@btioe.com
 * @Date: 2022-05-04 15:20:57
 * @LastEditors: zhuangzhou zhuangzhou@btioe.com
 * @LastEditTime: 2022-05-04 20:08:42
 * @FilePath: /mlmt-mini/src/main.js
 * @Description: 这是默认设置,请设置`customMade`, 打开koroFileHeader查看配置 进行设置: https://github.com/OBKoro1/koro1FileHeader/wiki/%E9%85%8D%E7%BD%AE
 */
import Vue from 'vue'
import App from './App'
import store from '@/store'
import { logger, valid, message, common, cache, init, router, event, wxLog, util } from '@/utils'
import service from './service'

import mixin from '@/mixin/base'
import page from '@/components/page'
import CmButton from '@/components/cm-button'
import uView from '@/uni_modules/uview-ui'

App.mpType = 'app'

Vue.config.productionTip = false

Vue.prototype.$store = store
// 打日志console.log, 发布环境会过滤
Vue.prototype.$log = logger.log
// 一些验证的方法，没有的自己往里面加
Vue.prototype.$valid = valid

Vue.prototype.$cache = cache
// wx弹出框，toast,toastSuccess,alert,confirm, 别的也可以往里面加
Vue.prototype.$message = message

Vue.prototype.$common = common

Vue.prototype.$router = router

Vue.prototype.$service = service

Vue.prototype.$event = event

Vue.prototype.$wxLog = wxLog

Vue.prototype.$util = util
Vue.use(uView)
Vue.mixin(mixin)

Vue.component('page', page)
Vue.component('CmButton', CmButton)

init()

const app = new Vue({
    ...App,
    store
})
app.$mount()
